tigase.monitor.tasks

## Class ScriptTimerTask

- java.lang.Object
- - tigase.monitor.tasks.AbstractConfigurableTask
  - - tigase.monitor.tasks.AbstractConfigurableTimerTask
    - - tigase.monitor.tasks.ScriptTimerTask

- All Implemented Interfaces:
    UnregisterAware, ConfigurableTask, MonitorTask

      public class ScriptTimerTask
      extends AbstractConfigurableTimerTask
      implements ConfigurableTask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Bindings` | `bindings`
    `protected ScriptEngineManager` | `scriptEngineManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptTimerTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bindings` | `getBindings()`
    `String` | `getScript()`
    `ScriptEngineManager` | `getScriptEngineManager()`
    `String` | `getScriptExtension()`
    `protected void` | `run()`
    `void` | `setBindings(Bindings bindings)`
    `void` | `setScript(String script, String scriptExtension)`
    `void` | `setScriptEngineManager(ScriptEngineManager scriptEngineManager)`

    - ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTimerTask

      `beforeUnregister, disable, enable, getCurrentConfiguration, getPeriod, getTimerTaskService, setNewConfiguration, setPeriod, setPeriod, setTimerTaskService`

    - ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTask

      `isEnabled, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.monitor.ConfigurableTask

      `getCurrentConfiguration, setNewConfiguration`

- - ### Field Detail

    - #### bindings

          @Inject
          protected Bindings bindings

    - #### scriptEngineManager

          @Inject
          protected ScriptEngineManager scriptEngineManager

  - ### Constructor Detail

    - #### ScriptTimerTask

          public ScriptTimerTask()

  - ### Method Detail

    - #### getBindings

          public Bindings getBindings()

    - #### getScript

          public String getScript()

    - #### getScriptEngineManager

          public ScriptEngineManager getScriptEngineManager()

    - #### getScriptExtension

          public String getScriptExtension()

    - #### run

          protected void run()

      Specified by:
        `run` in class `AbstractConfigurableTimerTask`

    - #### setBindings

          public void setBindings(Bindings bindings)

    - #### setScript

          public void setScript(String script,
                                String scriptExtension)

    - #### setScriptEngineManager

          public void setScriptEngineManager(ScriptEngineManager scriptEngineManager)

Copyright © 2018 "Tigase, Inc.". All rights reserved.